Name:          jackson-datatype-jsr310
Version:       2.7.6
Release:       4%{?dist}
Summary:       Add-on module to support JSR-310 (Java 8 Date & Time API) data types
License:       ASL 2.0
URL:           https://github.com/FasterXML/jackson-datatype-jsr310
Source0:       https://github.com/FasterXML/jackson-datatype-jsr310/archive/%{name}-%{version}.tar.gz
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: maven-local
BuildRequires: mvn(com.fasterxml.jackson:jackson-parent:pom:)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-core)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires: mvn(com.google.code.maven-replacer-plugin:replacer)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.hamcrest:hamcrest-core)

BuildArch:     noarch

%description
Datatype module to make Jackson recognize
Java 8 Date & Time API data types (JSR-310).

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

cp -p %{SOURCE1} .
sed -i 's/\r//' src/main/resources/META-INF/LICENSE LICENSE-2.0.txt
cp -p src/main/resources/META-INF/LICENSE .

%pom_remove_plugin :maven-enforcer-plugin

%mvn_file : %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md release-notes/*
%license LICENSE LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE LICENSE-2.0.txt

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Aug 23 2016 gil cattaneo <puntogil@libero.it> 2.7.6-2
- review fixes

* Mon Aug 22 2016 gil cattaneo <puntogil@libero.it> 2.7.6-1
- update to 2.7.6

* Tue Apr 05 2016 gil cattaneo <puntogil@libero.it> 2.6.3-1
- initial rpm
